<?php 	  
	//откуда пришел клиент
	function  UserFromSearch() {
		//массив с перечеслением интересующих поисковых систем
		$crawlerList=array("yandex.","google.","yahoo.");
		//В элементе $_SERVER['HTTP_REFERER'] содержится адрес страницы, 
		//с которой посетитель пришёл на данную страницу.
		//если $_SERVER['HTTP_REFERER'] была установлена и не равна NULL 
		if (isset($_SERVER['HTTP_REFERER'])) {
			//Разбираем значение URL ( $_SERVER['HTTP_REFERER'] )
			$referringPage = parse_url( $_SERVER['HTTP_REFERER'] );
			//если $referringPage['host'] была установлена и не равна NULL 
			if (isset( $referringPage['host'] )) {
				//присваиваем $referringHost значение $referringPage['host']
				$referringHost = $referringPage['host']; 
				//перебираем все варианты поисковиков из массива и ищем совпадение 
				foreach ($crawlerList as $crawler) {   
					if (strpos (strtolower ($referringHost),$crawler) !== FALSE ) { 
						//если совпадение есть, возвращаем название поисковика
						return $crawler; 
					}
				}
			}
		}
		return FALSE; 
	}  
?>      